doctype html
header
  title TAX INVOICE
  style(type='text/css').
    html {
    zoom: 0.60;
    }
    body {
    padding-top:10%;
    background-color: white;
    color: #000;
    font-size: 12px;
    height: 297mm;
    width: 210mm;
    margin: auto;
    }
    #mainHeading {
    text-align: center;
    color: rgb(212, 48, 33);
    font-size: 16px;
    }
    #originalTag {
    position: absolute;
    top: 15px;
    right: 25px;
    text-align: center;
    border: 2px dashed rgb(102, 102, 102);
    padding: 5px;
    color: rgb(102, 102, 102);
    line-height: 12px;
    }
    span.boldText {
    font-weight: bold;
    font-size: large;
    }
    div.bold {
    font-weight: bold;
    }
    #vendorDetails {
    width: 100%;
    }
    #vendorName {
    color: rgb(212, 48, 33);
    font-size: 14px;
    }
    #gstinDetails {
    width: 100%
    }
    #gstinDetails table {
    font-size: 11px;
    }
    table.textLeft {
    text-align: left;
    border-spacing: 5px;
    }
    table.textRight {
    text-align: right;
    }
    table.customerDetails {
    width: 100%;
    border-collapse: collapse;
    }
    div.textRight {
    text-align: right;
    }
    hr.longLine {
    border-top: 1px solid rgb(212, 48, 33);
    }
    #customerDetails {
    width: 100%;
    }
    #itemsContainer {
    border: 1px solid black;
    padding: 10px;
    border-collapse: collapse;
    width: 100%;
    font-size: 11px;
    }
    #itemsContainer tr {
    padding: 5px;
    }
    #itemsContainer td {
    padding: 5px;
    }
    #itemsContainer th {
    padding: 5px;
    }
    tr.highLight {
    border: 1px solid black;
    background-color: rgb(254, 249, 201);
    }
    th.borderRight {
    border-right: 1px solid black;
    }
    td.borderRight {
    border-right: 1px solid black;
    }
    tr.borderTop {
    border-top: 1px solid black;
    font-weight: bold;
    }
    td.bold {
    font-weight: bold;
    }
    td.amount {
    text-align: right;
    }
    td.center {
    text-align: center;
    }
    #bankDetails {
    border: 1px solid rgb(212, 48, 33);
    width: 60%;
    padding-left: 10px;
    padding-right: 10px;
    margin: 10px;
    }
#mainHeading TAX INVOICE
br
br
#originalTag
  span.boldText ORIGINAL
  hr
  span For Recipient
table#vendorDetails
  colgroup
    col(style='width: 50%;')
    col(style='width: 30%;')
  tr
    td
      #vendorName #{user.businessName}
      div #{user.businessAddress.street},
      div #{user.businessAddress.village}, #{user.businessAddress.city},
      div #{user.businessAddress.state}, #{user.businessAddress.zip}.
    td
      #gstinDetails
        table.textLeft
          tr
            th GSTIN
            td #{user.gstin}
            th Invoice Date
            td #{invoiceDate}
          tr
            th State
            td #{user.businessAddress.state}
            th Invoice No.
            td #{invoiceId}
          tr
            th PAN
            td #{user.pan}
            th IRN No.
            td -
hr.longLine
table.customerDetails
  tr
    td.bold Customer Name
    td.bold Billing Address
    td.bold Shipping Address
  tr
    td #{customer.name}
    td #{businessName}
    td #{businessName}
  tr
    td
    td #{shippingAddress.street},
    td #{billingAddress.street},
  tr
    td.bold Customer GSTIN
    td  #{shippingAddress.village},#{shippingAddress.city},
    td  #{billingAddress.village},#{billingAddress.city},
  tr
    td #{gstin}
    td #{shippingAddress.state},#{shippingAddress.zip}.
    td #{billingAddress.state},#{billingAddress.zip}.
  tr
    td
    td
    td #{gstin}
hr.longLine
table#customerDetails
  colgroup
    col(style='width: 50%;')
    col(style='width: 10%;')
  tr
    td
      span
        b Place of Supply: 
      span #{billingAddress.city}
    td
      span
        b Due Date: 
      span #{dueDate}
hr.longLine
table#itemsContainer
  colgroup
    col(style='width: 5%;')
    col(style='width: 20%;')
  tr.highLight
    th Sl.No.
    th Item
    th
      | HSN /
      | SAC
    th Quantity
    th Rate (&#x20B9;)
    th Discount Rate (%)
    th.borderRight Taxable Value (&#x20B9;)
    th IGST (&#x20B9;) 
    th.borderRight CESS (&#x20B9;)
    th Total (&#x20B9;)
  each item in items
    tr
      td #{item.slNo}.
      td #{item.name}
      td.center #{item.id}
      td.center #{item.quantity} PCS
      td.amount ₹#{item.subTotal}
      td.center #{item.discount}%
      td.borderRight.amount #{item.taxableAmount}
      td.amount
        | ₹#{item.gstAmount}
        br
        | @#{item.gstPercentage}%
      td.borderRight.amount 0.00
      td.amount ₹#{item.total}
  tr.borderTop.highLight
    td(colspan='4')
    td.center(colspan='2')
      | TOTAL
    td.amount #{subTotal}
    td.amount #{gstAmount}
    td.amount 0.00
    td.amount #{totalAmount}/-
div(align='right')
  table.textRight
    tr
      td Taxable Amount
      td &#x20B9; #{subTotal}
    tr
      td Total Tax
      td &#x20B9; #{gstAmount}
    tr
      td
        h3 Total Value
      td
        h3 &#x20B9; #{totalAmount}/-
div(align='right')
  span Total amount (in words) 
  span 
    b #{totalAmountInWords} only
table(style='width: 100%;')
  colgroup
    col(style='width: 100%;')
  tr
    td
      #bankDetails
        h3 Bank Details
        table.textLeft
          tr
            th Account Number
            td #{user.bankAccountNumber}
            th IFSC
            td #{user.ifscCode}
          tr
            th Bank Name:
            td #{user.bankName}
            th Branch Name:
            td #{user.bankBranch}
    td
      .textRight
        br
        br
        div For  #{user.businessName}
        br
        br
        div ___________________________
        div Authorised Signatory
footer
  div
    span
      b Notes:
    br
    span Goods must not be in contact with water.
    br
    span
      b Terms &amp; Conditions:
    br
    span Payment to be made within 15 days of receipt of invoices